API ReferenceCustom domain
Retrieve custom domain
GET
/v1/config/domainReturns your tenant's custom domain configuration and its verification status.
Roles
adminissuerverifierdts-providermanaged-issuer
Analytics Events
CONFIG_CUSTOM_DOMAIN_RETRIEVE_STARTCONFIG_CUSTOM_DOMAIN_RETRIEVE_SUCCESSCONFIG_CUSTOM_DOMAIN_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/config/domain"{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.icon", "domain": "example.com", "verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef", "isVerified": true, "verifiedAt": "2024-01-31T20:31:48.340Z"}How would you rate this page?
Configure custom domain POST
Creates a custom domain configuration on your tenant. You can configure a custom domain for a specific MATTR VII tenant to represent your brand and instil trust with your end-users. Any MATTR VII tenant can only have one custom domain. Refer to our [docs](https://learn.mattr.global/docs/platform-management/custom-domain-overview) for more information.
Update custom domain PUT
Updates the custom domain configuration.